<?php
namespace App\Logging;

use Monolog\Logger;

final class AttachSensitiveDataProcessor
{
    public function __invoke(Logger $logger): void
    {
        foreach ($logger->getHandlers() as $handler) {
            $handler->pushProcessor(new SensitiveDataProcessor());
        }
    }
}
